Page MenuHomePhabricator

Requesting access to stat1002 for Pcoombe
Closed, ResolvedPublic

Description

Hi, I need access to stat1002 in order to look at WMF Fundraising's "banner history" data that @ellery was previously working on.

User name: Pcoombe
Public key:

Event Timeline

Pcoombe created this task.May 26 2016, 6:00 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 26 2016, 6:00 PM
Restricted Application added a project: Operations. · View Herald TranscriptMay 26 2016, 6:00 PM
RobH assigned this task to Pcoombe.May 26 2016, 10:33 PM
RobH added a subscriber: RobH.

As this is simply expanding Peter's access, he already has a shell account setup/live. Additionally, he has already signed the L3 document.

@Pcoombe:

In attempting to triage your request, we have the following potential groups:

https://wikitech.wikimedia.org/wiki/Analytics/Data_access#Access_Groups

Requesting access to stat1002 for banner history makes me think you need:

  • statistics-privatedata-users
    • Access to stat1002 where private webrequest logs are hosted.

Unless you need to access hadoop data, then perhaps:

  • analytics-privatedata-users
    • Access to stat1002 and stat1004 to connect to the Analytics/Cluster (Hadoop/Hive) and to query private data hosted there, including webrequest logs. If you want Hadoop access, you probably want this.

Can you narrow down which of those two you need. In looking at access for @ellery, it looks like they had both, but I want to ensure that is what you need.

Additionally, once we know exactly what groups we are adding you to, we need to have your manager approve your access rights expansion.

I'm assigning this back to you for input, please place back up for grabs when you provide feedback. (If feedback and approvals are granteed before the end of this week, you can assign back to me as I am on clinic duty.)

Please advise,

If you are looking for files just hosted on disk on stat1002, then you want statistics-privatedata-users. I think this is probably what you need. If this data is in Hadoop, then you will need analytics-privatedata-users.

Thanks for the info. @ellery, can you confirm which of these I need to look at Banner History and to run your fundraising reports? I think it's all in Hadoop, right?

@MeganHernandez_WMF Can you approve whichever access is needed?

@Pcoombe Yes, you will need access to hadoop.

Approved! Thank you!

Pcoombe removed Pcoombe as the assignee of this task.Jun 2 2016, 7:38 PM

Thanks. I'll need adding to analytics-privatedata-users then.

jcrespo claimed this task.Jun 3 2016, 9:43 AM
jcrespo triaged this task as Medium priority.

Change 292534 had a related patch set uploaded (by Jcrespo):
Add Pcoombe to analytics-privatedata-users posix group

https://gerrit.wikimedia.org/r/292534

Change 292534 merged by Jcrespo:
Add Pcoombe to analytics-privatedata-users posix group

https://gerrit.wikimedia.org/r/292534

Everything seems ok from my side, please try access, resolve if it works for you:

Notice: /Stage[main]/Admin/Admin::Hashuser[pcoombe]/Admin::User[pcoombe]/User[pcoombe]/ensure: created
Notice: /Stage[main]/Admin/Admin::Hashuser[pcoombe]/Admin::User[pcoombe]/File[/home/pcoombe]/ensure: created
...
Notice: /Stage[main]/Admin/Admin::Groupmembers[analytics-privatedata-users]/Exec[analytics-privatedata-users_ensure_members]/returns: executed successfully
Pcoombe closed this task as Resolved.Jun 3 2016, 11:05 AM

Working for me. Thanks!